Bug 27085 - Corrections in overdue_notices.pl help text
Summary: Corrections in overdue_notices.pl help text
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Timothy Alexis Vass
QA Contact: Testopia
URL:
Keywords:
Depends on: 2274
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-24 12:27 UTC by Timothy Alexis Vass
Modified: 2021-02-11 22:28 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.08,19.11.14


Attachments
Bug 27085 - Corrections in overdue_notices.pl help text (3.56 KB, patch)
2020-11-25 07:47 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 27085: Corrections in overdue_notices.pl help text (3.62 KB, patch)
2020-12-16 15:02 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27085: Corrections in overdue_notices.pl help text (3.67 KB, patch)
2020-12-23 15:45 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Alexis Vass 2020-11-24 12:27:42 UTC
-library      <branchname>     only deal with overdues from this library (repeatable : several libraries can be given)

Should be <branchcode>
Comment 1 Timothy Alexis Vass 2020-11-25 07:43:17 UTC
Help text should also be proper sentences.
Comment 2 Timothy Alexis Vass 2020-11-25 07:47:24 UTC
Created attachment 113970 [details] [review]
Bug 27085 - Corrections in overdue_notices.pl help text

-library      <branchname>     only deal with overdues from this library (repeatable : several libraries can be given)
Should be <branchcode>

Help text should also be proper sentences.

To test:
0) Run misc/cronjobs/overdue_notices.pl -h
1) Check that the text is now:
   -library      <branchcode>     Only deal with overdues from this library.
2) Check that the rest of the help text are proper sentences,
   with leading capital letter and punctuation.
3) Sign off.

Sponsored-by: Lunds Universitetsbibliotek
Comment 3 Fridolin Somers 2020-12-16 15:02:49 UTC
Created attachment 114442 [details] [review]
Bug 27085: Corrections in overdue_notices.pl help text

-library      <branchname>     only deal with overdues from this library (repeatable : several libraries can be given)
Should be <branchcode>

Help text should also be proper sentences.

To test:
0) Run misc/cronjobs/overdue_notices.pl -h
1) Check that the text is now:
   -library      <branchcode>     Only deal with overdues from this library.
2) Check that the rest of the help text are proper sentences,
   with leading capital letter and punctuation.
3) Sign off.

Sponsored-by: Lunds Universitetsbibliotek
Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 4 Fridolin Somers 2020-12-16 15:03:52 UTC
Fix makes sens.

I corrected the commit message, see
https://wiki.koha-community.org/wiki/Commit_messages
Comment 5 Nick Clemens 2020-12-23 15:45:36 UTC
Created attachment 114680 [details] [review]
Bug 27085: Corrections in overdue_notices.pl help text

-library      <branchname>     only deal with overdues from this library (repeatable : several libraries can be given)
Should be <branchcode>

Help text should also be proper sentences.

To test:
0) Run misc/cronjobs/overdue_notices.pl -h
1) Check that the text is now:
   -library      <branchcode>     Only deal with overdues from this library.
2) Check that the rest of the help text are proper sentences,
   with leading capital letter and punctuation.
3) Sign off.

Sponsored-by: Lunds Universitetsbibliotek
Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-01-04 13:10:46 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-07 14:08:43 UTC
Pushed to 20.11.x for 20.11.02
Comment 8 Andrew Fuerste-Henry 2021-01-11 22:25:16 UTC
Pushed to 20.05.x for 20.05.08
Comment 9 Victor Grousset/tuxayo 2021-01-21 19:53:11 UTC
Backported: Pushed to 19.11.x branch for 19.11.14